#include "Thread.h"

#include "radioGroup.h"
#include "runtime.h"

#include <utility.h>  
#include "CCD.h"
#include "Atmcd32d.h"
#include <analysis.h>
#include <ansi_c.h>
#include "scanner.h"
#include "CCDControl.h"

#include "DLL6K.h"
#include "grating_focus.h"

#include <userint.h>     


				

//panel  
extern int mainPanel;       //HANDLE OF MAIN PANEL( г ڵ)
extern int FISSpanelSetting; 
extern int testpanel;
extern int TabPanelHandle;			//handle of tab panel     
extern int	aboutPanel; 
extern int menubar;

extern int 	temp_thread, temp_thread_id;  
extern long 	nCameraHandle1;		//camera handle1
extern long 	nCameraHandle2;		//camera handle2

int program_off_temp_set=0;


int CVICALLBACK setTempThread(void* functionData)
{
	int errorValue1,errorValue2;
	int CCDTemp1, CCDTemp2;
	int i=0;
	char buffer[100];
	

	while(!temp_thread)
	{
		SetCurrentCamera(nCameraHandle1);
		errorValue1=GetTemperature(&CCDTemp1);
		SetCurrentCamera(nCameraHandle2);
		errorValue2=GetTemperature(&CCDTemp2);
		
		if((errorValue1!=DRV_TEMP_STABILIZED) || (errorValue2!=DRV_TEMP_STABILIZED))
		{
				Delay(1);
				SetCurrentCamera(nCameraHandle1);
				errorValue1=GetTemperature(&CCDTemp1);
				SetCurrentCamera(nCameraHandle2);
				errorValue2=GetTemperature(&CCDTemp2);
				sprintf(buffer,"CCD1: %d C CCD2: %d C\n", CCDTemp1,CCDTemp2);
				SetCtrlVal(mainPanel, PANEL_TB_Text_Monitor,buffer);
				SetCtrlVal(testpanel, test_panel_TB_Text_Monitor,buffer);
		}
		else
		{
			
			SetCtrlVal(mainPanel, PANEL_TB_Text_Monitor,"Temperature Stabilized!\n");
			SetCtrlVal(testpanel, test_panel_TB_Text_Monitor,"Temperature Stabilized!\n"); 
			temp_thread=1; 
		}
	}
	return 0;
}


